/*
 * Copyright 2015 Freescale Semiconductor, Inc.
 * Copyright 2015-2021 NXP.
 *
 * License: LA_OPT_NXP_Software_License
 *
 * This software is owned or controlled by NXP and may
 * only be used strictly in accordance with the applicable license terms.
 * By expressly accepting such terms or by downloading, installing,
 * activating and/or otherwise using the software, you are agreeing that
 * you have read, and that you agree to comply with and are bound by,
 * such license terms.  If you do not agree to be bound by the applicable
 * license terms, then you may not retain, install, activate or otherwise
 * use the software.
 * 
 * @version   4.1
 * 
 *
 * @brief     IEC60730 Class B Safety Routines Program counter tests for DSP56800EX core
 *
 */

#include "iec60730b.h"

/*******************************************************************************
 * Implementation
 ******************************************************************************/
/*******************************************************************************
 ******************************************************************************/
#pragma define_section pc_test_1 ".pc_test_1.text" RX
#pragma section pc_test_1 begin

void asm FS_PC_object_1(void)
{
	tfra R3,N    
	jsr (N)
	rts
}
#pragma section pc_test_1 end
